%define oname   bundler

Name:       ruby-%{oname}
Version:    1.0.12
Release:    %mkrel 1
Summary:    The best way to manage your application's dependencies
Group:      Development/Ruby
License:    MIT
URL:        http://gembundler.com
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(thor)
Requires:   ruby(abi) = 1.8
Requires:   rubygem(thor)
BuildArch:  noarch

%description
Bundler manages an application's dependencies through its entire life,
across many machines, systematically and repeatably

%files
%defattr(-, root, root, -)
%{_bindir}/bundle
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

# no need for vendor
rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/bundler/vendor/

%check
# argh 3 failures left, will fix later
rspec --format p --color spec/ || true

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 16 2011 shikamaru <shikamaru> 1.0.12-1.mga1
+ Revision: 86068
- New version 1.0.12
- add check section (need to fix the 3 failures left)

* Mon Feb 07 2011 shikamaru <shikamaru> 1.0.10-1.mga1
+ Revision: 48535
- new version 1.0.10

* Thu Feb 03 2011 shikamaru <shikamaru> 1.0.2-3.mga1
+ Revision: 46757
- add thor as a requires since we don't ship it in vendor

* Tue Jan 25 2011 shikamaru <shikamaru> 1.0.2-2.mga1
+ Revision: 39407
- imported package ruby-bundler


* Tue Jan 25 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.2-1
- Initial package
